
function DrawIdImportWin()

	wIdImport = Turbine.UI.Lotro.Window();
	wIdImport:SetSize(600,400);
	wIdImport:SetPosition((SCREENWIDTH/2)-(wIdImport:GetWidth()/2),(SCREENHEIGHT/2)-(wIdImport:GetHeight()/2));
	wIdImport:SetText(_LABELS[109][LANGID]);
	wIdImport:SetVisible(false);
	wIdImport:SetHideF12(true);
	wIdImport:SetCloseEsc(true);

	back_idImport = Turbine.UI.Control();
	back_idImport:SetParent(wIdImport);
	back_idImport:SetSize(600,400);
	back_idImport:SetPosition(0,-3);
	back_idImport:SetBackground(_IMAGES.BACKGROUNDS.IMPORTID);
	back_idImport:SetBlendMode(4);
	back_idImport:SetMouseVisible(false);

	idImp_lblHelp = NewWindowLabel(wIdImport,wIdImport:GetWidth()-60,36,30,45,_LABELS[111][LANGID]);

	idImp_txtIn = Turbine.UI.TextBox();
	idImp_txtIn:SetParent(wIdImport);
	idImp_txtIn:SetPosition(30,idImp_lblHelp:GetTop()+idImp_lblHelp:GetHeight()+15);
	idImp_txtIn:SetSize(wIdImport:GetWidth()-70,wIdImport:GetHeight()-60-idImp_txtIn:GetTop());
	idImp_txtIn:SetMultiline(true);
	idImp_txtIn:SetSelectable(true);
	idImp_txtIn:SetForeColor(_COLORS[3]);
	idImp_txtIn:SetFont(_FONTS[1]);
	idImp_sbIn = NewScrollBar(idImp_txtIn,"vertical",wIdImport);

	idImp_btnImport = Turbine.UI.Lotro.Button();
	idImp_btnImport:SetParent(wIdImport);
	idImp_btnImport:SetWidth(80);
	idImp_btnImport:SetPosition(idImp_txtIn:GetLeft()+idImp_txtIn:GetWidth()-idImp_btnImport:GetWidth()-20,wIdImport:GetHeight()-45);
	idImp_btnImport:SetText(_LABELS[110][LANGID]);

	idImp_btnImport.Click = function ()
		ImportIDs();
	end

	idImp_chkOverwrite = Turbine.UI.Lotro.CheckBox();
	idImp_chkOverwrite:SetParent(wIdImport);
	idImp_chkOverwrite:SetSize(250,20);
	idImp_chkOverwrite:SetPosition(50,idImp_btnImport:GetTop());
	idImp_chkOverwrite:SetChecked(SETTINGS.IDOVERWRITE);
	idImp_chkOverwrite:SetFont(_FONTS[1]);
	idImp_chkOverwrite:SetForeColor(_COLORS[4]);
	idImp_chkOverwrite:SetFontStyle(Turbine.UI.FontStyle.Outline);
	idImp_chkOverwrite:SetOutlineColor(_COLORS[5]);
	idImp_chkOverwrite:SetText(" ".._LABELS[112][LANGID]);

	idImp_chkOverwrite.CheckedChanged = function ()
		SETTINGS.IDOVERWRITE = idImp_chkOverwrite:IsChecked();
	end


	-- Window Events --
	wIdImport.Closed = function ()
		idImp_txtIn:SetText("");
	end

end


function ShowIdImport()
	if wIdImport == nil then DrawIdImportWin() end;

	wIdImport:SetVisible(true);
	wIdImport:Activate();
end


function ImportIDs()
	local _IDs = GetImportIDs();
	for k,v in ipairs(_IDs) do
		v = tonumber(v);
		local item = Utils.GetItemFromID(v);
		if item ~= nil then
			local itemInfo = item:GetItemInfo();
			if _ITEMSDB[v] == nil or SETTINGS.IDOVERWRITE == true then
				_ITEMSDB[v] = {};
				_ITEMS[v] = {};
				_ITEMS[v][1]={[1]="";[2]="";[3]="";[4]="";};
				_ITEMS[v][1][LANGID] = itemInfo:GetName();
				_ITEMS[v][4] = _GAMEVALUES.QUALITY[itemInfo:GetQuality()];
				_ITEMSDB[v] = Utils.deepcopy(_ITEMS[v]);
			end
		end
	end
	RefreshSavedList();
	wIdImport:Close();
end


function GetImportIDs()
	local _IDs = {};
	for ids in string.gmatch(idImp_txtIn:GetText(),"%d+") do table.insert(_IDs,ids)	end;
	table.sort(_IDs);
	return _IDs;
end


